Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
%define eclipse_base        %{_libdir}/eclipse
%define install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
# http://download.eclipse.org/tools/mylyn/update/e3.4/
%define qualifier           v20090722-0200-e3x

# Prevent brp-java-repack-jars from being run.  Spaces in the paths of
# the help content are broken by it.
%define __jar_repack 0

Name: eclipse-mylyn
Summary: Mylyn is a task-focused UI for Eclipse
Version: 3.2.1
Release: alt1_2jpp6
License: EPL
URL: http://www.eclipse.org/mylyn

# mkdir temp && cd temp
# sh fetch-mylyn.sh
# tar cjf org.eclipse.mylyn-R_3_2_1-fetched-src.tar.bz2 org.eclipse.mylyn
Source0: org.eclipse.mylyn-R_3_2_1-fetched-src.tar.bz2
Source1: fetch-mylyn.sh
Source2: http://overholt.fedorapeople.org/fedoraeclipse-mylynbugzilla-0.0.3.zip

# We pre-populate the list of Bugzilla servers.
# This patch is not suitable for upstream.
Patch6: %{name}-addfedoracustomizations.patch
# This is a dependency declared by the Orbit xmlrpc JAR.  We don't use
# their JAR and the part of Mylyn using xmlrpc isn't using the
# javax.xml.bind-using part(s) of xmlrpc.
# This patch is not suitable for upstream.
Patch7: %{name}-nojaxb.patch
# Our xmlrpc packages are split into JARs differently than Orbit
# This patch is not suitable for upstream.
Patch8: %{name}-splitxmlrpc.patch
Patch9: %{name}-wikitext_builddoc.patch



BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: eclipse-cvs-client >= 1:3.4.0
BuildRequires: jakarta-commons-codec >= 1.3-9
BuildRequires: jakarta-commons-httpclient >= 1:3.1-0.3
BuildRequires: jakarta-commons-logging >= 1.0.4-7.7
BuildRequires: jakarta-commons-lang >= 2.3-2.3
BuildRequires: ws-commons-util >= 1.0.1-5
BuildRequires: xmlrpc3-client >= 3.0-2.8
BuildRequires: xmlrpc3-common >= 3.0-2.8
BuildRequires: ws-jaxme >= 0.5.1-2.4
BuildRequires: rome
BuildRequires: jdom >= 1.0-5.5
Requires: eclipse-platform >= 1:3.4.0
Requires: eclipse-cvs-client >= 1:3.4.0
Requires: jakarta-commons-codec >= 1.3-9
Requires: jakarta-commons-httpclient >= 1:3.1-0.3
Requires: jakarta-commons-logging >= 1.0.4-7.7
Requires: jakarta-commons-lang >= 2.3-2.3
Requires: ws-commons-util >= 1.0.1-5
Requires: xmlrpc3-client >= 3.0-2.8
Requires: xmlrpc3-common >= 3.0-2.8
Requires: ws-jaxme >= 0.5.1-2.4
Provides: eclipse-mylar = 2.0.0-1.fc7
Obsoletes: eclipse-mylar < 2.0.0
Provides: eclipse-mylyn-ide = %{version}-%{release}
Obsoletes: eclipse-mylyn-ide < 3.0.0
Provides: eclipse-bugzilla = 1:0.2.4-4.fc6
Obsoletes: eclipse-bugzilla < 1:0.2.5
Provides: eclipse-mylar-bugzilla = 2.0.0-1.fc7
Obsoletes: eclipse-mylar-bugzilla < 2.0.0
Provides: eclipse-mylyn-bugzilla = %{version}-%{release}
Obsoletes: eclipse-mylyn-bugzilla < 3.0.0

Group: Development/Java

%description
Mylyn integrates task support into Eclipse.  It supports offline editing
for certain task repositories and monitors work activity to hide
information that is not relevant to the current task.  Also included is
the Mylyn Focused UI for reducing information overload when working with
tasks and the Bugzilla task connector.

%package  trac
Summary:  Mylyn Trac Connector
Requires: %{name} = %{version}-%{release}
Group: Development/Java
Provides: eclipse-mylar-trac = 2.0.0-1.fc7
Obsoletes: eclipse-mylar-trac < 2.0.0

%description trac
Trac client integrated with Eclipse and Mylyn; can be used standalone.

%package  java
Summary:  Mylyn Bridge:  Java Development
Requires: eclipse-jdt
Requires: %{name}-ide = %{version}-%{release}
Group: Development/Java

%description java
Mylyn Task-Focused UI extensions for JDT.  Provides focusing of Java
element views and editors.

%package  pde
Summary:  Mylyn Bridge:  Plug-in Development
Requires: eclipse-pde
Requires: %{name}-java = %{version}-%{release}
Group: Development/Java

%description pde
Mylyn Task-Focused UI extensions for PDE, Ant, Team Support and CVS.

%package  webtasks
Summary:  Mylyn Connector:  Web Templates
Requires: %{name} = %{version}-%{release}
Requires: rome
Requires: jdom
Group: Development/Java

%description webtasks
Provides Task List integration for several web-based issue trackers
and templates for example projects.

%package  wikitext
Summary:  Mylyn WikiText
Requires: %{name} = %{version}-%{release}
Group: Development/Java

%description wikitext
Enables parsing and display of lightweight markup (wiki text).  Extends
the Mylyn task editor to create a markup-aware editor.

%prep
%setup -q -n org.eclipse.mylyn
unzip -q %{SOURCE2}

# The tests have dependencies we don't need/want/have
rm -rf *tests*

mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/commons-codec-1.3.jar org.apache.commons.codec_1.3.0.jar
ln -s %{_javadir}/commons-httpclient.jar org.apache.commons.httpclient_3.1.0.jar
ln -s %{_javadir}/commons-lang.jar org.apache.commons.lang_2.3.0.jar
ln -s %{_javadir}/commons-logging-api.jar org.apache.commons.logging.api_1.0.4.jar
ln -s %{_javadir}/commons-logging.jar org.apache.commons.logging_1.0.4.jar
ln -s %{_javadir}/xmlrpc3-client-3.0.jar org.apache.xmlrpc.client_3.0.0.v20080530-1550.jar
ln -s %{_javadir}/xmlrpc3-common-3.0.jar org.apache.xmlrpc.common_3.0.0.v20080530-1550.jar
ln -s %{_javadir}/ws-commons-util.jar org.apache.ws.commons.util_1.0.0.v20080530-1550.jar
ln -s %{_javadir}/jdom-1.0.jar org.jdom_1.0.0.v200806100616.jar
ln -s %{_javadir}/rome-0.9.jar com.sun.syndication_0.9.0.v200803061811.jar
ln -s %{_javadir}/jaxme/jaxmeapi.jar javax.xml.bind.jar
popd

#javax.activation_1.1.0.v200806101325.jar
#javax.xml.bind_2.0.0.v20080604-1500.jar
#javax.mail_1.4.0.v200804091730.jar
#javax.servlet_2.4.0.v200806031604.jar
#org.apache.ant_1.7.0.v200803061910.zip,unpack=true
#javax.xml.rpc_1.1.0.v200806030420.zip,unpack=true
#javax.wsdl_1.5.1.v200806030408.jar
#javax.xml.soap_1.2.0.v200806030421.zip,unpack=true
#org.apache.axis_1.4.0.v200806030120.zip,unpack=true
#org.apache.commons.discovery_0.2.0.v200806030120.zip,unpack=true

pushd org.eclipse.mylyn.bugzilla-feature
%patch6 -p0 -b .withfedoracustomizations
popd
%patch7
%patch8
%patch9

find -name feature.xml |
  while read f; do
      sed -i "s/qualifier/%{qualifier}/g" $f
  done

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.context_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.team_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.bugzilla_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.ide_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.trac_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.java_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.pde_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.web.tasks_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.wikitext_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -o `pwd`/orbitDeps

%install
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/eclipse
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}/mylyn
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}/mylyn-java
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}/mylyn-pde
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}/mylyn-trac
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}/mylyn-webtasks
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}/mylyn-wikitext

unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn \
 build/rpmBuild/org.eclipse.mylyn_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn \
 build/rpmBuild/org.eclipse.mylyn.bugzilla_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn \
 build/rpmBuild/org.eclipse.mylyn.context_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn \
 build/rpmBuild/org.eclipse.mylyn.team_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn \
 build/rpmBuild/org.eclipse.mylyn.ide_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn-trac \
 build/rpmBuild/org.eclipse.mylyn.trac_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn-java \
 build/rpmBuild/org.eclipse.mylyn.java_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn-pde \
 build/rpmBuild/org.eclipse.mylyn.pde_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn-webtasks \
 build/rpmBuild/org.eclipse.mylyn.web.tasks_feature.zip
unzip -q -o -d $RPM_BUILD_ROOT%{install_loc}/mylyn-wikitext \
 build/rpmBuild/org.eclipse.mylyn.wikitext_feature.zip

pushd $RPM_BUILD_ROOT%{install_loc}/mylyn/eclipse/plugins
rm org.apache.commons.codec_1.3.0.v20080530-1600.jar
rm org.apache.commons.httpclient_3.1.0.v20080605-1935.jar
rm org.apache.commons.lang_2.3.0.v200803061910.jar
rm org.apache.commons.logging_1.0.4.v20080605-1930.jar
ln -s %{_javadir}/commons-codec-1.3.jar org.apache.commons.codec_1.3.0.jar
ln -s %{_javadir}/commons-httpclient.jar org.apache.commons.httpclient_3.1.0.jar
ln -s %{_javadir}/commons-lang.jar org.apache.commons.lang_2.3.0.jar
ln -s %{_javadir}/commons-logging-api.jar org.apache.commons.logging.api_1.0.4.jar
ln -s %{_javadir}/commons-logging.jar org.apache.commons.logging_1.0.4.jar
popd

pushd $RPM_BUILD_ROOT%{install_loc}/mylyn-trac/eclipse/plugins
rm org.apache.ws.commons.util_1.0.0.%{qualifier}.jar
rm org.apache.xmlrpc_3.0.0.%{qualifier}.jar
ln -s %{_javadir}/xmlrpc3-client-3.0.jar org.apache.xmlrpc.client_3.0.0.v20080530-1550.jar
ln -s %{_javadir}/xmlrpc3-common-3.0.jar org.apache.xmlrpc.common_3.0.0.v20080530-1550.jar
ln -s %{_javadir}/ws-commons-util.jar org.apache.ws.commons.util_1.0.0.v20080530-1550.jar
ln -s %{_javadir}/jaxme/jaxmeapi.jar javax.xml.bind.jar
popd

#Do not use qualifier value for dependencies to not be forced to rebuild them for
# every mylyn
pushd $RPM_BUILD_ROOT%{install_loc}/mylyn-trac/eclipse/features
	find -name feature.xml |
	while read f; do
      sed -i "s/3.0.0.%{qualifier}/3.0.0.qualifier/g" $f
      sed -i "s/1.0.0.%{qualifier}/1.0.0.qualifier/g" $f
  	done
popd

pushd $RPM_BUILD_ROOT%{install_loc}/mylyn-webtasks/eclipse/plugins
rm org.jdom_1.0.0.v200806100616.jar
rm com.sun.syndication_0.9.0.v200803061811.jar
ln -s %{_javadir}/jdom-1.0.jar org.jdom_1.0.0.v200806100616.jar
ln -s %{_javadir}/rome-0.9.jar com.sun.syndication_0.9.0.v200803061811.jar
popd

%files webtasks
%{install_loc}/mylyn-webtasks

%files wikitext
%{install_loc}/mylyn-wikitext

%files trac
%{install_loc}/mylyn-trac
# FIXME:  add the doc files back
#%doc %{install_loc}/features/org.eclipse.mylyn.trac_feature_*/license.html
#%doc %{install_loc}/features/org.eclipse.mylyn.trac_feature_*/epl-v10.html
#%doc %{install_loc}/features/org.eclipse.mylyn.trac_feature_*/about.html

%files java
%{install_loc}/mylyn-java
# FIXME:  add the doc files back
#%doc %{install_loc}/features/org.eclipse.mylyn.java_feature_*/license.html
#%doc %{install_loc}/features/org.eclipse.mylyn.java_feature_*/epl-v10.html
#%doc %{install_loc}/features/org.eclipse.mylyn.java_feature_*/about.html

%files pde
%{install_loc}/mylyn-pde
# FIXME:  add the doc files back
#%doc %{install_loc}/features/org.eclipse.mylyn.pde_feature_*/license.html
#%doc %{install_loc}/features/org.eclipse.mylyn.pde_feature_*/epl-v10.html
#%doc %{install_loc}/features/org.eclipse.mylyn.pde_feature_*/about.html

%files
%{install_loc}/mylyn
# FIXME:  add the doc files back

%changelog
* Wed Jan 27 2010 Igor Vlasenko <viy@altlinux.ru> 3.2.1-alt1_2jpp6
- converted from JPackage by jppimport script

* Sat Mar 21 2009 Igor Vlasenko <viy@altlinux.ru> 3.0.3-alt1_3jpp6
- new version

* Mon Jan 12 2009 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_3jpp6
- new version

* Mon Jul 28 2008 Igor Vlasenko <viy@altlinux.ru> 2.3.2-alt1_6jpp6
- eclipse 3.3.2

* Thu Feb 28 2008 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt2_9jpp5.0
- fixed buildreq: lucene1

* Tue Dec 04 2007 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_9jpp5.0
- converted from JPackage by jppimport script

